- name: Include GNOME Extensions tasks
  ansible.builtin.import_tasks: tasks/workstations/gnome-extensions.yml

- name: Include flatpaks tasks
  ansible.builtin.import_tasks: tasks/workstations/flatpaks.yml

- name: Include snaps tasks
  ansible.builtin.import_tasks: tasks/workstations/snaps.yml

- name: Include VSCode tasks
  ansible.builtin.import_tasks: tasks/workstations/vscode.yml
  become: true

- name: Include Zen browser tasks
  ansible.builtin.import_tasks: tasks/workstations/zen-browser.yml
  vars:
    browser_name: "zen"
    browser_executable: "zen"

- name: Include 1Password Zen Browser tasks
  ansible.builtin.import_tasks: tasks/workstations/1password-zen-browser.yml

- name: Include Ulauncher tasks
  ansible.builtin.import_tasks: tasks/workstations/ulauncher.yml

- name: Ensure common packages are installed
  ansible.builtin.package:
    name:
      ###### THE FOLLOWING PACKAGES ARE DISABLED DUE TO MISSING ON UBUNTU REPOS ######
      # Required by Pano - Clipboard Manager (GNOME Extension)
      # - libgda
      # - libgda-sqlite
      # Required by Bubblemail - Email Notifications (GNOME Extension)
      # - bubblemail
      # Steam and it's dependencies
      # - steam
      # - steam-devices
      ################################################################################
      # Statistics HUD for gaming
      - mangohud
      # Used for VSCode Extensions
      - nodejs
    state: present
  become: true
